View Issue Details

IDProjectCategoryView StatusLast Update
0023381mantisbtcode cleanuppublic2017-10-12 11:10
ReporteratrolAssigned Toatrol 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version2.7.0Fixed in Version2.7.0 
Summary0023381: Unneeded code for unsupported PHP versions
Description

We enforce usage of PHP >= 5.5.0 since fix of 0023378.
There is some code that can be removed if we can be sure that at least PHP 5.5.0 is running.

TagsNo tags attached.

Relationships

related to 0023378 closedatrol Installation fails when using old but still allowed PHP version 5.3 
related to 0023466 closedatrol database is not supported by PHP. Check that it has been compiled into your server. 

Activities

Related Changesets

MantisBT: master 677c247e

2017-09-20 15:31:31

atrol

Details Diff
Remove code that is no longer needed when using PHP >= 5.5.0

Fixes 0023381
mod - admin/check/check_php_inc.php Diff File
mod - admin/install.php Diff File
mod - core/database_api.php Diff File

MantisBT: master f01b08d5

2017-09-21 03:59:05

atrol

Details Diff
Add check for deprecated mysql driver

Issue 0023381
mod - admin/install.php Diff File

MantisBT: master 855d317d

2017-09-24 17:09:43

atrol

Details Diff
Remove unneeded code for mysql and mssql drivers

Issue 0023381
mod - admin/install.php Diff File
mod - admin/schema.php Diff File
mod - config_defaults_inc.php Diff File

Issue History

Date Modified Username Field Change
2017-09-20 15:21 atrol New Issue
2017-09-20 15:21 atrol Status new => assigned
2017-09-20 15:21 atrol Assigned To => atrol
2017-09-20 15:21 atrol Relationship added related to 0023378
2017-09-20 15:34 atrol Note Added: 0057768
2017-09-25 08:42 atrol Changeset attached => MantisBT master 677c247e
2017-09-25 08:42 atrol Changeset attached => MantisBT master f01b08d5
2017-09-25 08:42 atrol Changeset attached => MantisBT master 855d317d
2017-09-25 08:42 atrol Status assigned => resolved
2017-09-25 08:42 atrol Resolution open => fixed
2017-09-25 08:42 atrol Fixed in Version => 2.7.0
2017-10-08 23:52 vboctor Status resolved => closed
2017-10-12 11:10 atrol Relationship added related to 0023466